Subject: ClickTime and Move

From: [email-masked]
Date: Wed, 28 Jul 1999 12:25:58 -0500 (CDT)

Full_Name: Neil Zanella
Version: 2.2.2
CVS_Date: 
OS: Linux 2.0.36
X_Server: XFree86 3.3.2
Submission from: (NULL) (194.91.83.3)

Hello,

My .fvwm2rc has the following lines:

--- begin snip ---------------------
ClickTime 125

AddToFunc Raise-and-Move "M" Raise
+                        "M" Move
+                        "C" Raise

Mouse 1 TS N Raise-and-Move
--- end snip -----------------------

With this setup, when I click on a titlebar to drag a window, I can move
the
pointer before clicktime (obviously), but when I do so the window does not
move until clicktime is over. This has the drastic effect that the pointer
is way off the titlebar while I am moving a window when I am moving the
mouse
too quickly.

I suggest that either this problem be dealt with as a bug, or that a new
style option called SnapToPointer be introduced so that after clicktime
the window snaps to the position where the pointer clicked on the
titlebar.
Then one could use:

Style * SnapToPointer

Best Regards,

Neil Zanella
[email-masked]

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]